package com.hzu.bookingsystem.repository;

import com.hzu.bookingsystem.bean.LabRecordBean;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;


public interface LabRecordRepository extends JpaRepository<LabRecordBean,String> {


    LabRecordBean findByLrId(Integer lt_id);


    LabRecordBean save(LabRecordBean labrecord) ;


    List<LabRecordBean> findAll() ;


    List<LabRecordBean> findByStatus(Integer status ) ;


    void deleteBylrId(Integer lt_id);

    List<LabRecordBean> findByUcIdAndStatus(Integer uc_id , Integer status);

    void deleteByLtIdAndUcId(Integer lt_id,Integer uc_id);



}
