package com.hzu.bookingsystem.converter;

import com.hzu.bookingsystem.bean.LabBean;
import com.hzu.bookingsystem.dto.LabDTO;
import org.springframework.beans.BeanUtils;

import java.util.List;
import java.util.stream.Collectors;

public class LabBean2LabDTO {
    public static LabDTO convert(LabBean lab) {

        LabDTO labDTO = new LabDTO();
        BeanUtils.copyProperties(lab, labDTO);
        return labDTO;
    }

    public static List<LabDTO> convert(List<LabBean> labList) {
        return labList.stream().map(LabBean2LabDTO::convert)
                .collect(Collectors.toList());
    }
}
