package com.hzu.bookingsystem.converter;

import com.hzu.bookingsystem.bean.LabTimeBean;
import com.hzu.bookingsystem.dto.LabTimeDTO;
import org.springframework.beans.BeanUtils;

import java.util.List;
import java.util.stream.Collectors;

public class LabTimeBean2LabTimeDTO {
    public static LabTimeDTO convert(LabTimeBean labTime) {

        LabTimeDTO labTimeDTO = new LabTimeDTO();
        BeanUtils.copyProperties(labTime, labTimeDTO);
        return labTimeDTO;
    }

    public static List<LabTimeDTO> convert(List<LabTimeBean> labList) {
        return labList.stream().map(LabTimeBean2LabTimeDTO::convert)
                .collect(Collectors.toList());
    }
}
