package com.hzu.bookingsystem.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;

@Data
public class UserDTO extends BaseRowModel {
    // 用户ID
    private Integer uId;

    // 用户姓名
    @ExcelProperty(value = "姓名")
    private String nickname;

    // 联系电弧
    @ExcelProperty(value = "tel")
    private String tel;

    // email
    @ExcelProperty(value = "email")
    private String email;

    //用户名（工号）
    private String username;

    //办公室地点
    private String office;

    //职位
    private Integer position;
}
