package com.hzu.bookingsystem.repository;

import com.hzu.bookingsystem.VO.WeekVO;
import com.hzu.bookingsystem.bean.LabRecordBean;
import com.hzu.bookingsystem.bean.LabTimeBean;
import com.hzu.bookingsystem.dto.LabRecordDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface UserSecurityMapper {
    @Select("SELECT " +
            " tb_auth_group.rules_id  " +
            "FROM " +
            " tb_user, " +
            " tb_auth_group_access, " +
            " tb_auth_group  " +
            "WHERE " +
            " tb_user.u_id = tb_auth_group_access.u_id  " +
            " AND tb_auth_group.group_id = tb_auth_group_access.group_id  " +
            " AND tb_auth_group_access.u_id = #{uId}")
    Map<String,Object> getRules(Integer uId);

    @Select("SELECT " +
            " tb_auth_rules.rules_id " +
            "FROM " +
            " tb_auth_rules " +
            "WHERE " +
            " tb_auth_rules.url = #{url}")
    Map<String,Object> getRuleId(String url);
}
